var adm = JSON.parse(Android.getAdm());
if (adm == null) {
        console.log("ADM NULL");
}
var learnMoreUrl = adm.native.link.url;
var policyUrl = adm.native.link.ext.privacyUrl;
var bundle = adm.native.bundle;
var imgSrc = adm.native.assets.filter(
        element => Object.keys(element).includes("img"))[0].img.url;
loadImage(imgSrc);
function loadImage(url) {
        var img = new Image();
        img.addEventListener('load', onImageLoaded);
        img.addEventListener('error', onImageNotFound);
        img.src = url;
}
function onImageLoaded() {
        console.log("image found and loaded");
        document.getElementById('banner').src = imgSrc;
        Android.onAdLoadSuccess();
}
function onImageNotFound() {
        console.log("image not found");
}
var titleText = adm.native.assets.filter(
                element => Object.keys(element).includes("title"))[0]
        .title.text;