var menuBox = document.getElementById('menu');
let aboutAd = document.getElementById('about-ads');

var isMenuVisible = false;
var isLanguageSet = false;
menuBox.style.visibility = 'hidden';

aboutAd.addEventListener('click', function (e) {
    setTimeout(function() {
        hideMenu();
    }, 500);
    Android.openPolicyPage(policyUrl);

}, false);

function toggleMenu(y, x) {
    if (!isMenuVisible) {
        if (!isLanguageSet) {
            setLanguageFromAndroid();
            isLanguageSet = true;
        }
        menuBox.classList.add("active");
        menuBox.style.visibility = "visible";
        menuBox.style.top = y + "px";
        menuBox.style.left = x + "px";
        isMenuVisible = true;
    } else {
        hideMenu();
    }
}
function hideMenu() {
    menuBox.classList.remove("active");
    menuBox.style.visibility = "hidden";
    isMenuVisible = false;
}
function setLanguageFromAndroid() {
    aboutAd.innerHTML = Android.getAboutAdString();
}

function setMenuRadius(radius) {
    if (radius == 0) radius = 26;
    document.getElementById('menu').style.borderRadius = radius + 'px';
    document.getElementById('about-ads').style.borderRadius = radius + 'px';
}